Bug 282696

Summary: add cancel button for sender
Product: [Frameworks and Libraries] telepathy Reporter: Alin M Elena <alinm.elena>
Component: filetransferAssignee: Telepathy Bugs <kde-telepathy-bugs>
Status: RESOLVED FIXED    
Severity: wishlist    
Priority: NOR    
Version: git-latest   
Target Milestone: 0.4.0   
Platform: openSUSE   
OS: Linux   
Latest Commit: Version Fixed In:
Sentry Crash Report:
Bug Depends on:    
Bug Blocks: 282710    

Description Alin M Elena 2011-09-24 16:28:38 UTC
Version:           git-latest (using Devel) 
OS:                Linux

add a cancel button for sender... useful for the cases the target does not accept/reject the transfer for a long time

Alin

Reproducible: Didn't try



Expected Results:  
...

OS: Linux (x86_64) release 3.1.0-rc6-2-desktop
Compiler: gcc
Comment 1 Daniele E. Domenichelli 2011-09-28 18:46:46 UTC
Git commit 5ef7aaa2e01304ce99697bcdad7d3170d3d2a2ec by Daniele E. Domenichelli.
Committed on 28/09/2011 at 20:34.
Pushed by ddomenichelli into branch 'master'.

Make FileTransferJobs killable

FEATURE: 282696

M  +32   -0    src/handle-incoming-file-transfer-channel-job.cpp
M  +2    -0    src/handle-incoming-file-transfer-channel-job.h
M  +32   -0    src/handle-outgoing-file-transfer-channel-job.cpp
M  +2    -0    src/handle-outgoing-file-transfer-channel-job.h
M  +2    -0    src/telepathy-base-job.h

http://commits.kde.org/telepathy-filetransfer-handler/5ef7aaa2e01304ce99697bcdad7d3170d3d2a2ec